Package com.ngrok.services

# Class CertificateAuthorities.CreateCallBuilder

java.lang.Object
com.ngrok.services.CertificateAuthorities.CreateCallBuilder

Enclosing class:
  CertificateAuthorities

public class CertificateAuthorities.CreateCallBuilder extends Object
A builder object encapsulating state for an unsent Create API call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CertificateAuthority`
  `blockingCall()`
  Initiates the API call and blocks until it returns.
  `CompletionStage<CertificateAuthority>`
  `call()`
  Initiates the API call asynchronously.
  `CertificateAuthorities.CreateCallBuilder`
  `description(String description)`
  human-readable description of this Certificate Authority.
  `CertificateAuthorities.CreateCallBuilder`
  `description(Optional<String> description)`
  human-readable description of this Certificate Authority.
  `CertificateAuthorities.CreateCallBuilder`
  `metadata(String metadata)`
  arbitrary user-defined machine-readable data of this Certificate Authority.
  `CertificateAuthorities.CreateCallBuilder`
  `metadata(Optional<String> metadata)`
  arbitrary user-defined machine-readable data of this Certificate Authority.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### description

    public CertificateAuthorities.CreateCallBuilder description(String description)
    human-readable description of this Certificate Authority. optional, max 255 bytes.
    Parameters:
      `description` - the value of the description parameter as a `String`
    Returns:
      the call builder instance

  - ### description

    public CertificateAuthorities.CreateCallBuilder description(Optional<String> description)
    human-readable description of this Certificate Authority. optional, max 255 bytes.
    Parameters:
      `description` - the value of the description parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### metadata

    public CertificateAuthorities.CreateCallBuilder metadata(String metadata)
    arbitrary user-defined machine-readable data of this Certificate Authority. optional, max 4096 bytes.
    Parameters:
      `metadata` - the value of the metadata parameter as a `String`
    Returns:
      the call builder instance

  - ### metadata

    public CertificateAuthorities.CreateCallBuilder metadata(Optional<String> metadata)
    arbitrary user-defined machine-readable data of this Certificate Authority. optional, max 4096 bytes.
    Parameters:
      `metadata` - the value of the metadata parameter as an `Optional` of `String`
    Returns:
      the call builder instance

  - ### call

    public CompletionStage<CertificateAuthority> call()
    Initiates the API call asynchronously.
    Returns:
      a `CompletionStage` of `CertificateAuthority`

  - ### blockingCall

    public CertificateAuthority blockingCall() throws InterruptedException
    Initiates the API call and blocks until it returns.
    Returns:
      `CertificateAuthority`
    Throws:
      `InterruptedException` - if the thread was interrupted during the call